Skip to main content

Get a fulfillment user

GET /v2/fulfillment/users/{user_id}

Retrieves a fulfillment user by its user_id, which is the same identifier your application provided in create user or create user and validate an address.

Security​

NameInDescription
AuthorizationheaderThe Authorization header with the bearer token acquired during authentication.

Parameters​

NameInTypeRequiredDescription
user_idpathstringRequired

The external ID of the user to fetch (as provided when the user was created).

Response​

FieldTypeRequiredDescription
first_namestringRequired

The user's first name.

last_namestringOptional

The user's last name.

phone_numberstringOptional

The user's phone number.

Response examples​

Success

{
"first_name": "Jane",
"last_name": "Doe",
"phone_number": "+15551234567"
}

4XX Errors

Error responses return either a single error or multiple errors.

HTTP CodeCauseError MessageError CodeError Meta
400userNotFound"User Not Found"1001Not applicable
403userNotActive"User Not Active"Not applicable